Package org.eclipse.zest.layouts.dataStructures

# Class InternalNode

java.lang.Object
org.eclipse.zest.layouts.dataStructures.InternalNode

All Implemented Interfaces:
  `Comparable`, `LayoutEntity`, `LayoutItem`

@Deprecated(since="2.0", forRemoval=true) public class InternalNode extends Object implements Comparable, LayoutEntity
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x. This class will be removed in a future release.

@noextend
  This class is not intended to be subclassed by clients.
@noreference
  This class is not intended to be referenced by clients.
@noinstantiate
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from interface org.eclipse.zest.layouts.LayoutEntity

`ATTR_PREFERRED_HEIGHT, ATTR_PREFERRED_WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`InternalNode(LayoutEntity entity)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object arg0)`
Deprecated.
`Object`
`getAttributeInLayout(Object attribute)`
Deprecated.
`double`
`getCurrentX()`
Deprecated.
`double`
`getCurrentY()`
Deprecated.
`double`
`getDx()`
Deprecated.
`double`
`getDy()`
Deprecated.
`Object`
`getGraphData()`
Deprecated.
`double`
`getHeightInLayout()`
Deprecated.
`double`
`getInternalHeight()`
Deprecated.
`DisplayIndependentPoint`
`getInternalLocation()`
Deprecated.
`double`
`getInternalWidth()`
Deprecated.
`double`
`getInternalX()`
Deprecated.
`double`
`getInternalY()`
Deprecated.
`LayoutEntity`
`getLayoutEntity()`
Deprecated.
`Object`
`getLayoutInformation()`
Deprecated.
`double`
`getPreferredHeight()`
Deprecated.
`double`
`getPreferredWidth()`
Deprecated.
`double`
`getPreferredX()`
Deprecated.
`double`
`getPreferredY()`
Deprecated.
`double`
`getWidthInLayout()`
Deprecated.
`double`
`getXInLayout()`
Deprecated.
`double`
`getYInLayout()`
Deprecated.
`boolean`
`hasPreferredHeight()`
Deprecated.
`boolean`
`hasPreferredLocation()`
Deprecated.
`boolean`
`hasPreferredWidth()`
Deprecated.
`void`
`populateLayoutConstraint(LayoutConstraint constraint)`
Deprecated.
`void`
`setAttributeInLayout(Object attribute, Object value)`
Deprecated.
`void`
`setDx(double x)`
Deprecated.
`void`
`setDy(double y)`
Deprecated.
`void`
`setGraphData(Object o)`
Deprecated.
`void`
`setInternalLocation(double x, double y)`
Deprecated.
`void`
`setInternalSize(double width, double height)`
Deprecated.
`void`
`setLayoutInformation(Object internalEntity)`
Deprecated.
`void`
`setLocation(double x, double y)`
Deprecated.
`void`
`setLocationInLayout(double x, double y)`
Deprecated.
`void`
`setSize(double width, double height)`
Deprecated.
`void`
`setSizeInLayout(double width, double height)`
Deprecated.
`String`
`toString()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalNode

@Deprecated public InternalNode(LayoutEntity entity)
Deprecated.

## Method Details

### getLayoutEntity

@Deprecated public LayoutEntity getLayoutEntity()
Deprecated.

### getPreferredX

@Deprecated public double getPreferredX()
Deprecated.

### getPreferredY

@Deprecated public double getPreferredY()
Deprecated.

### hasPreferredLocation

@Deprecated public boolean hasPreferredLocation()
Deprecated.

### setDx

@Deprecated public void setDx(double x)
Deprecated.

### setDy

@Deprecated public void setDy(double y)
Deprecated.

### getDx

@Deprecated public double getDx()
Deprecated.

### getDy

@Deprecated public double getDy()
Deprecated.

### getCurrentX

@Deprecated public double getCurrentX()
Deprecated.

### getCurrentY

@Deprecated public double getCurrentY()
Deprecated.

### setLocation

@Deprecated public void setLocation(double x, double y)
Deprecated.

### setSize

@Deprecated public void setSize(double width, double height)
Deprecated.

### setInternalLocation

@Deprecated public void setInternalLocation(double x, double y)
Deprecated.

### getInternalLocation

@Deprecated public DisplayIndependentPoint getInternalLocation()
Deprecated.

### setInternalSize

@Deprecated public void setInternalSize(double width, double height)
Deprecated.

### getInternalX

@Deprecated public double getInternalX()
Deprecated.

### getInternalY

@Deprecated public double getInternalY()
Deprecated.

### getInternalWidth

@Deprecated public double getInternalWidth()
Deprecated.

### getInternalHeight

@Deprecated public double getInternalHeight()
Deprecated.

### setAttributeInLayout

@Deprecated public void setAttributeInLayout(Object attribute, Object value)
Deprecated.
An algorithm may require a place to store information. Use this structure for that purpose.

### getAttributeInLayout

@Deprecated public Object getAttributeInLayout(Object attribute)
Deprecated.
An algorithm may require a place to store information. Use this structure for that purpose.

### hasPreferredWidth

@Deprecated public boolean hasPreferredWidth()
Deprecated.

### getPreferredWidth

@Deprecated public double getPreferredWidth()
Deprecated.

### hasPreferredHeight

@Deprecated public boolean hasPreferredHeight()
Deprecated.

### getPreferredHeight

@Deprecated public double getPreferredHeight()
Deprecated.

### compareTo

@Deprecated public int compareTo(Object arg0)
Deprecated.

Specified by:
  `compareTo` in interface `Comparable`

### toString

@Deprecated public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`

### getHeightInLayout

@Deprecated public double getHeightInLayout()
Deprecated.

Specified by:
  `getHeightInLayout` in interface `LayoutEntity`

### getLayoutInformation

@Deprecated public Object getLayoutInformation()
Deprecated.

Specified by:
  `getLayoutInformation` in interface `LayoutEntity`

### getWidthInLayout

@Deprecated public double getWidthInLayout()
Deprecated.

Specified by:
  `getWidthInLayout` in interface `LayoutEntity`

### getXInLayout

@Deprecated public double getXInLayout()
Deprecated.

Specified by:
  `getXInLayout` in interface `LayoutEntity`

### getYInLayout

@Deprecated public double getYInLayout()
Deprecated.

Specified by:
  `getYInLayout` in interface `LayoutEntity`

### populateLayoutConstraint

@Deprecated public void populateLayoutConstraint(LayoutConstraint constraint)
Deprecated.
Description copied from interface: `LayoutEntity`
Classes should update the specified layout constraint if recognized

Specified by:
  `populateLayoutConstraint` in interface `LayoutEntity`

### setLayoutInformation

@Deprecated public void setLayoutInformation(Object internalEntity)
Deprecated.

Specified by:
  `setLayoutInformation` in interface `LayoutEntity`

### setLocationInLayout

@Deprecated public void setLocationInLayout(double x, double y)
Deprecated.

Specified by:
  `setLocationInLayout` in interface `LayoutEntity`

### setSizeInLayout

@Deprecated public void setSizeInLayout(double width, double height)
Deprecated.

Specified by:
  `setSizeInLayout` in interface `LayoutEntity`

### getGraphData

@Deprecated public Object getGraphData()
Deprecated.

Specified by:
  `getGraphData` in interface `LayoutItem`

### setGraphData

@Deprecated public void setGraphData(Object o)
Deprecated.

Specified by:
  `setGraphData` in interface `LayoutItem`